<?php
	namespace Juju\App;

	class Exception extends \Exception {
		private $included;
		public function __construct($message = null, $code = 0, \Exception $previous = null, string $file = null, int $line = null, array $trace = null, array $included = null){
			parent::__construct($message, $code, $previous);
			if(!is_null($file)){
				$this->file = $file;
			}
			if(!is_null($line)){
				$this->line = $line;
			}
			if(!is_null($trace)){
				$this->trace = $trace;
			}
			if(is_null($included)){
				$included = get_included_files();
			}
			$this->included = $included;
		}
		public function getIncluded(){
			return $this->included;
		}
	}
?>